import json
from fastapi import APIRouter

from dashboard.models import Payload, Settings


router = APIRouter()
settings = Settings()

@router.get("/api/temp")
def get_latest_value():
    """
    Returns last measurement
    """
    return Payload.parse_file(settings.data)


@router.post("/api/temp", status_code=201)
def add_new_value(payload: Payload):
    with open(settings.data, 'w+') as file:
        json.dump(payload.dict(), file, default=str)
        return payload
