import json
from fastapi import APIRouter
from fastapi.responses import HTMLResponse, RedirectResponse
from starlette.status import HTTP_303_SEE_OTHER
from fastapi import Request, Form
from fastapi.templating import Jinja2Templates

from dashboard.models import Settings, Payload


router = APIRouter()
settings = Settings()
templates = Jinja2Templates(directory="templates")

# install package "python-multipart"
@router.get("/form", response_class=HTMLResponse)
def view_form(request: Request):
    return templates.TemplateResponse("form.html", {"request": request})


@router.post("/form")
def process_form(request: Request, temperature: float = Form(...)):
    payload = Payload(temperature=temperature)

    with open(settings.data, "w+") as file:
        json.dump(payload.dict(), file, default=str)

    return RedirectResponse(url="/", status_code=HTTP_303_SEE_OTHER)
