from fastapi import APIRouter
from fastapi.responses import HTMLResponse
from fastapi import Request
from fastapi.templating import Jinja2Templates

from dashboard.models import Payload, Settings


router = APIRouter()
settings = Settings()
templates = Jinja2Templates(directory="templates")

@router.get("/", response_class=HTMLResponse)
def view_dashboard(request: Request):
    payload = Payload.parse_file(settings.data)

    return templates.TemplateResponse(
        "dashboard.html",
        {
            "request": request,
            "title": "My Magic Dashboard!",
            "temperature": payload.temperature,
            "timestamp": payload.created.strftime("%d.%m.%Y %H:%M:%S"),
        },
    )
